package com.kakaoent.cpdd.config.client1.controller;

import com.kakaoent.cpdd.config.client1.configuration.properties.ApiProperties;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import reactor.core.publisher.Mono;

@RequestMapping("/api/v1")
@RestController
public class PropertyAPIController {

    private final ApiProperties apiProperties;

    public PropertyAPIController(ApiProperties apiProperties) {
        this.apiProperties = apiProperties;
    }

    @GetMapping("/apis/gateway")
    public Mono<String> getGatewayUrl() {
        return Mono.just(apiProperties.getGateway());
    }

    @GetMapping("/apis/point")
    public Mono<String> getPointAPIUrl() {
        return Mono.just(apiProperties.getPoint());
    }

}
